Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1070742 - [database] support postgres user length within schema version
Summary: [database] support postgres user length within schema version
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Eli Mesika
QA Contact: bugs@ovirt.org
URL:
Whiteboard: infra
Depends On:
Blocks: 1024889 1070757
TreeView+ depends on / blocked
 
Reported: 2014-02-27 13:36 UTC by Alon Bar-Lev
Modified: 2014-03-31 13:18 UTC (History)
7 users (show)

Fixed In Version: ovirt-engine-3.4.0_rc
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1070757 (view as bug list)
Environment:
Last Closed: 2014-03-31 12:27:38 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25178 None MERGED core: extend installed_by column size in schema... Never
oVirt gerrit 25306 None MERGED core: extend installed_by column size in schema... Never
oVirt gerrit 25415 None MERGED core: extend installed_by column size in schema... Never

Description Alon Bar-Lev 2014-02-27 13:36:45 UTC
Currently the schema version holds a field for user name, while the length of the field is shorter than what postgres supports.

Comment 1 Sandro Bonazzola 2014-03-04 09:22:36 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 2 Alon Bar-Lev 2014-03-04 09:55:51 UTC
Can someone mark it as blocker?

Comment 3 Sandro Bonazzola 2014-03-31 12:27:38 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released

Comment 4 Barak Dagan 2014-03-31 13:18:04 UTC
Verified on av5:


psql -d engine -c "select column_name, data_type, character_maximum_length from information_schema.columns where table_name = 'schema_version' and column_name = 'installed_by';" | less -S


could not change directory to "/root"
 column_name  |     data_type     | character_maximum_length 
--------------+-------------------+--------------------------
 installed_by | character varying |                       63
(1 row)


Note You need to log in before you can comment on or make changes to this bug.